opencv 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | Public Attributes | List of all members
CvParamGrid Struct Reference

`#include <ml.hpp>`

## Public Types
enum | { SVM_C =0, SVM_GAMMA =1, SVM_P =2, SVM_NU =3, SVM_COEF =4, SVM_DEGREE =5 }

## Public Member Functions
bool | check () const
| CvParamGrid ()
| CvParamGrid (double _min_val, double _max_val, double log_step)

## Public Attributes
CV_PROP_RW double | max_val
CV_PROP_RW double | min_val
CV_PROP_RW double | step

## Member Enumeration Documentation

anonymous enum

Enumerator:

  SVM_C |
  SVM_GAMMA |
  SVM_P |
  SVM_NU |
  SVM_COEF |
  SVM_DEGREE |

## Constructor & Destructor Documentation

CvParamGrid::CvParamGrid | ( |  | ) |
| inline

CvParamGrid::CvParamGrid | ( | double | _min_val,
|  | double | _max_val,
|  | double | log_step
| ) |  |
| inline

## Member Function Documentation

bool CvParamGrid::check | ( |  | ) | const

## Member Data Documentation

CV_PROP_RW double CvParamGrid::max_val

CV_PROP_RW double CvParamGrid::min_val

CV_PROP_RW double CvParamGrid::step

The documentation for this struct was generated from the following file:

- /usr/obj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp